$primary-color: #fb6100;
$type-section-background: #f8f5f2;
$type-section-background-2: #d7d7d7;
$item-colors: #e1bbbb, #e1c6bb, #eeeccc, #d7e1bb, #bbe1ca, #bbdce1, #bcbbe1, #d9bbe1;


* {
    padding: 0;
    margin: 0;
}

body { 
    font-family: BlinkMacSystemFont, Segoe UI, Helvetica Neue, Helvetica, Arial, sans-serif;
}

header {
    display: flex;
    justify-content: space-between;
    height: 4em;
    background-color: #fb6100;
    padding: 0 1em;
    .logo {
        display: flex;
        justify-content: flex-start;
        align-items: center;

        :first-child {
            font-weight: bolder;
        }
        span {
            color: white;
            font-size: 1.5em;
        }
    }
    .address {
        display: flex;
        align-items: center;
        justify-content: center;
        color: white;
        letter-spacing: 0.2em;
        font-weight: 200%;
        div {
            padding-bottom: 0.2em;
            border-bottom: solid 0.2em white;
        }
    }
    div {
        display: flex;
        button {
            display: flex;
            background-color: #fb6100;
            border: none;
            align-items: center;
            justify-content: flex-end;
            i {
                color: white;
                font-size: 2em;
            }
        }
    }

}

.type-section {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f8f5f2;
    height: 3em;
    border-bottom: solid 0.1em #d7d7d7;
    padding: 0 1em;
    .buttons {
        display: flex;
        justify-content: space-between;
        align-items: center;
        background-color: #f8f5f2;
        button {
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 0 3em;
            background-color: #f8f5f2;
            border: none;
            font-size: 16px; 
            height: 3em;;
            &:hover {
                cursor: pointer;
                color: #fb6100;   
                border-bottom: solid 0.1em #fb6100         
            }
        }

    }
}

.category-section {
    display: flex;
    justify-content: space-between;
    margin: 1em 30vh;
    :last-child {
        color: #fb6100;
        font-weight: bold;
        border: none;
        &:hover {
            color: white;
            background-color: #fb6100;
            border-radius: 1em;
        }
    }
    button {
        display: flex;
        background-color: white;
        border: none;
        padding: 0.5em 0.7em;
        &:hover {
            color: white;
            background-color: #fb6100;
            border-radius: 1em;;
        }
    }
}

.main-section {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    .left-main-section {
        grid-column-start: 2;
        display: flex;
        flex-direction: column;
        gap: 2em;
        .header {
            font-weight: bold;
            letter-spacing: 0.1em;
        }
        .radio-button {
            margin-top: 1em;
            input {
                accent-color: rgb(75, 132, 172);
            }
            label {
                margin-left: 0.3em;
            }
        }
        .stars {
            i {
                margin-top: 1em;
                font-size: 20px;
                color: #d7d7d7;
            }
        }
        .checkbox {
            margin-top: 1em;
            accent-color: rgb(75, 132, 172);
        }
    }
    .right-main-section {
        grid-column: 4/ span 4;
        display: flex;
        flex-direction: column;

        // margin-left: 6em;
        .search {
            display: flex;
            flex-direction: row;
            margin-bottom: 1em;
            button {
                display: flex;
                justify-content: flex-end;
                border: none;
                background-color: white;
                align-items: center;
                margin: 0 1em;
                i{
                    font-size: 16px;
                }
            }
            input {
                display: flex;
                justify-content: flex-end;
                padding: 0.5em 0 0.5em 1em;
                height: 2em;
                width: 90%;
            }
        }
        .header {
            font-weight: bold;
            font-size: 18px;
            margin-bottom: 1em;
        }
        .item {
            display:flex;
            border: solid 0.1em #d7d7d7;
            margin-bottom: 1em;
            .pic {
                display:flex;
                flex-basis: 30%;
                // background-color: red;
            }
            .logo {
                display: flex;
                align-items: center;
                position: relative;
                margin-top: 4%;
                right: 7%;
                background-color: white;
                height: 6em;
                width: 6em;
                border-radius: 50%;
                .name {
                    position: relative;
                    font-size: 19px;
                    font-weight: bold;
                    color: #fb6100;
                    top: 0em;
                    left: 1em;
                    transform: rotate(-15deg);
                }
            }
            .info {
                width: 60%;
                .header {
                    margin: 1em 0 0.3em;
                    color: darkslategray;
                    font-size: 18px;
                    letter-spacing: 0.2em;
                }
                .description {
                    color: darkslategray;
                    font-size: 14px;
                }
                .content {
                    display: flex;
                    justify-content: space-between;
                    margin: 1.5em 0 3em;
                    width:max-content;
                    .star {
                        i {
                            color: #fb6100;
                        }
                        div {
                            color: #fb6100;
                            span {
                                color: darkslategray;
                            }
                        } 
                    }
                    div {
                        display: flex;
                        margin-right: 0.5em;
                        color: darkslategrey;
                        i {
                            margin-right: 0.3em;
                            color: darkslategrey;
                        }
                    }
                }
            }
        }
    }

}

$item-colors: #e1bbbb, #e1c6bb, #eeeccc, #d7e1bb, #bbe1ca, #bbdce1, #bcbbe1, #d9bbe1;
$count: 1;

@for $i from 1 to 11 {
    @each $color in $item-colors {
        .right-main-section {
            :nth-child(#{$count}) {
                .pic {
                    background-color: #{$color};
                }
            }
        }
        $count: $count + 1
    }
}

